<div class="container">

    <div class="row mt-3">
        <div class="btn-group btn-group-toggle" data-toggle="buttons">
            <button type="button" class="btn btn-primary" (click)="formSucursal()">
                <input type="radio" name="options" id="option1"> Sucursal
            </button>
            <button type="button" class="btn btn-primary" (click)="formRegional()">
                <input type="radio" name="options" id="option1"> Regional
            </button>
        </div>
    </div>

    <!--Formulario búsqueda por sucursal-->
    <div *ngIf="selectSucursal">
        <form [formGroup]="sucursalForm">
            <div class="form-row mt-3">
                <div class="form-group col-md-6">
                    <label for="fecha_1">Fecha Inicio: </label>
                    <input type="date" class="form-control" id="fechaSuc_1" name="fechaSuc_1" 
                        formControlName="fechaSuc_1"
                        [class.is-invalid]="fechaSuc_1.invalid && (fechaSuc_1.dirty || fechaSuc_1.touched)"/>
                        <div class="form-text text-danger my-2" *ngIf="fechaSuc_1.invalid && (fechaSuc_1.dirty || fechaSuc_1.touched)">
                            <small>Ingresa fecha válida</small>
                        </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="fecha_2">Fecha fin: </label>
                    <input type="date" class="form-control" id="fechaSuc_2" name="fechaSuc_2" 
                    formControlName="fechaSuc_2"
                    [class.is-invalid]="fechaSuc_2.invalid && (fechaSuc_2.dirty || fechaSuc_2.touched)"/>
                    <div class="form-text text-danger my-2" *ngIf="fechaSuc_2.invalid && (fechaSuc_2.dirty || fechaSuc_2.touched)">
                        <small>*Campo requerido.</small>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="sucursalInput">Sucursal: </label>
                    <select class="custom-select" name="sucursalInput" id="sucursalInput" 
                    formControlName="sucursalInput"
                    [class.is-invalid]="sucursalInput.invalid && (sucursalInput.dirty || sucursalInput.touched)">
                        <option value="xalapa">Xalapa</option>
                        <option value="teziutlan">Teziutlán</option>
                        <option value="oaxaca">Oaxaca</option>
                        <option value="puebla">Puebla</option>
                    </select>
                    <div class="form-text text-danger my-2" 
                    *ngIf="sucursalInput.invalid && (sucursalInput.dirty || sucursalInput.touched)">
                        <small>Ingresa sucursal</small>
                    </div>
                </div>
            </div>

            <button type="button" class="btn btn-primary" (click)="findByDateSucursal()">Buscar</button>
        </form>
    </div>

    <!--Formulario búsqueda por regional-->
    <div *ngIf="selectRegional">
        <form [formGroup]="regionalForm">
            <div class="form-row mt-3">
                <div class="form-group col-md-6">
                    <label for="fecha_1">Fecha Inicio: </label>
                    <input type="date" class="form-control" id="fecha_1" formControlName="fecha_1"
                    [class.is-invalid]="fecha_1.invalid && (fecha_1.dirty || fecha_1.touched)"/>
                    <div class="form-text text-danger my-2" *ngIf="fecha_1.invalid && (fecha_1.dirty || fecha_1.touched)">
                        <small>Ingresa fecha válida</small>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="fecha_2">Fecha fin: </label>
                    <input type="date" class="form-control" 
                    id="fecha_2"
                    formControlName="fecha_2"
                    [class.is-invalid]="fecha_2.invalid && (fecha_2.dirty || fecha_2.touched)"/>
                    <div class="form-text text-danger my-2" *ngIf="fecha_2.invalid && (fecha_2.dirty || fecha_2.touched)">
                        <small>Ingresa fecha válida</small>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="regional">Regional: </label>
                    <select class="custom-select"
                    id="regional" 
                    formControlName="regional"
                    [class.is-invalid]="regional.invalid && (regional.dirty || regional.touched)">
                        <option value="veracruz">Veracruz</option>
                        <option value="oaxaca">Oaxaca</option>
                        <option value="puebla">Puebla</option>
                    </select>
                    <div class="form-text text-danger my-2" 
                    *ngIf="regional.invalid && (regional.dirty || regional.touched)">
                        <small>Ingresa regional</small>
                    </div>
                </div>
            </div>

            <button type="button" class="btn btn-primary" (click)="findByDateRegional()">Buscar</button>
        </form>
    </div>

    <div class="row" class="my-5">
        <div class="table-responsive">
            <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped header table-hover" id="excel-table">
                <thead>
                    <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Nombre AC</th>
                        <th scope="col">Clientes</th>
                        <th scope="col">Monto</th>
                        <th scope="col">Banco</th>
                        <th scope="col">Fecha Desembolso</th>
                        <th scope="col">Sucursal</th>
                        <th scope="col">Regional</th>
                        <th scope="col">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of lista">
                        <th> {{ item.id }} </th>
                        <th> {{ item.nombre_ac }}</th>
                        <th> {{ item.clientes }}</th>
                        <th> ${{ item.monto | number:'3.2' }}
                        <!--<th> {{ item.banco }} </th>-->
                        <th> {{ item.nombrebanco }} </th>
                        <th> {{ item.fecha_desembolso | date:'yyyy/MM/dd' }} </th>
                        <!--<th> {{ item.sucursal }} </th>-->
                        <th> {{ item.nombresucursal }} </th>
                        <!--<th> {{ item.regional }} </th>-->
                        <th> {{ item.nombreregional }} </th>
                        <td>
                            <div class="col btn-group">
                                <!--<button class="btn btn-outline-dark mr-1" (click)="editDesembolso(item)">
                                    <i class="far fa-edit"></i>
                                </button>-->
                                <button 
                                    class="btn btn-outline-dark mr-1" 
                                    [routerLink]="['/modificar/desembolso', item.id]">
                                    <i class="far fa-edit"></i>
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <!--Formulario para editar información-->
    <!--<div class="card mb-3">
        Cabezera card
        <div class="card-header">
            <div class="row d-flex justify-content-center">
                Modificar desembolso.
            </div>
        </div>-->

        <!--Cuerpo card
        <div class="card-body">
                
                <div class="row">
                    <div class="col">
                        <label for="id">ID</label>
                        <input type="text" class="form-control" id="id" [(ngModel)]="desembolso.id" disabled/>
                    </div>
                    <div class="col">
                        <label for="nombre_ac">Nombre AC</label>
                        <input type="text" 
                        class="form-control" 
                        id="nombre_ac"
                        [(ngModel)]="desembolso.nombre_ac">
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.nombre_ac">
                            <small>Ingresa nombre AC</small>
                        </div>
                    </div>
                    <div class="col">
                        <label for="clientes">Clientes</label>
                        <input type="number" 
                        class="form-control" 
                        id="clientes" 
                        [(ngModel)]="desembolso.clientes">
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.clientes">
                            <small>Ingresa clientes</small>
                        </div>
                    </div>
                </div>

                
                <div class="row">
                    <div class="col">
                        <label for="monto">Monto</label>
                        <input type="number" 
                        class="form-control" 
                        id="monto"
                        [(ngModel)]="desembolso.monto" >
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.monto">
                            <small>Ingresa monto</small>
                        </div>
                    </div>
                    <div class="col">
                        <label for="banco">Banco</label>
                        <select class="custom-select" name="banco" id="banco" [(ngModel)]="desembolso.banco" >
                            <option selected> {{ desembolso.banco }} </option>
                            <option value="bancomer">BBVA Bancomer</option>
                            <option value="banamex">Banamex</option>
                        </select>
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.banco">
                            <small>Selecciona banco</small>
                        </div>
                    </div>
                    <div class="col">
                        <label for="fecha_desembolso">Fecha Desembolso</label>
                        <input type="date" 
                        class="form-control" 
                        id="fecha_desembolso"
                        [(ngModel)]="desembolso.fecha_desembolso"> 
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.fecha_desembolso"> 
                            <small>Ingresa fecha desembolso</small>
                        </div>
                    </div>
                </div>

                
                <div class="row">
                    <div class="col">
                        <label for="sucursal">Sucursal</label>
                        <select class="custom-select" id="inputSucursal" [(ngModel)]="desembolso.sucursal">
                            <option selected> {{ desembolso.sucursal }} </option>
                            <option value="xalapa">Xalapa</option>
                            <option value="teziutlan">Teziutlán</option>
                            <option value="oaxaca">Oaxaca</option>
                            <option value="puebla">Puebla</option>
                            <option value="huamantla">Huamantla</option>
                        </select>
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.sucursal">
                            <small>Selecciona sucursal</small>
                        </div>
                    </div>
                    <div class="col">
                        <label for="regional">Regional</label>
                        <select class="custom-select" id="inputRegional" [(ngModel)]="desembolso.regional" >
                            <option selected> {{ desembolso.regional }}</option>
                            <option value="veracruz">Veracruz</option>
                            <option value="oaxaca">Oaxaca</option>
                            <option value="puebla">Puebla</option>
                        </select>
                        <div class="form-text text-danger my-2" *ngIf="!desembolso.regional">
                            <small>Selecciona sucursal</small>
                        </div>
                    </div>
                </div>
                
                <div class="row d-flex justify-content-center mt-3" *ngIf="seenButton">
                    <button type="button" class="btn btn-primary" 
                    (click)="updateDesembolso(desembolso)">Guardar</button>
                    <button type="button" class="btn btn-danger" (click)="clearForm()">Limpiar</button>
                </div>
        </div>
    </div>-->
    <!--/Termina Formulario para editar información-->  

    <!--<p> JSON: {{ lista | json}} </p>-->

</div>

<app-footer></app-footer>